Bug 26070 - Google Transliterate API has been deprecated
Summary: Google Transliterate API has been deprecated
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Manual
Depends on:
Blocks:
 
Reported: 2020-07-27 10:56 UTC by v Purushottama
Modified: 2020-09-20 10:49 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
The Google Transliterate API has been deprecated by Google in 2011. This removes the remaining code and GoogleIndicTransliteration system preference from Koha as this is no longer functional.
Version(s) released in:
20.11.00, 20.05.03, 19.11.09


Attachments
Console Error (162.84 KB, image/png)
2020-07-27 10:56 UTC, v Purushottama
Details
Bug 26070: Remove GoogleIndicTransliteration system preference (6.97 KB, patch)
2020-07-27 19:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26070: Remove GoogleIndicTransliteration system preference (6.99 KB, patch)
2020-07-28 16:22 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 26070: Remove GoogleIndicTransliteration system preference (7.09 KB, patch)
2020-07-29 22:41 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description v Purushottama 2020-07-27 10:56:48 UTC
Created attachment 107410 [details]
Console Error

Hello,

GoogleIndicTransliteration feature in OPAC is not working in Koha 20.05. it will be grateful if anyone will help me to resolve the issue.

thanks
Comment 1 Owen Leonard 2020-07-27 18:59:33 UTC
Google says the transliterate API has been deprecated (since 2011!):

https://developers.google.com/transliterate

An alternative might be to install an extension for Chrome: https://www.google.com/inputtools/chrome/
Comment 2 Owen Leonard 2020-07-27 19:26:03 UTC
Created attachment 107446 [details] [review]
Bug 26070: Remove GoogleIndicTransliteration system preference

The Google Transliterate API was deprecated on May 26, 2011. This patch
removes the feature and associated system preference.

To test, apply the patch and run the database update process.

 - Go to Administration -> System preferences and search for
   'GoogleIndicTransliteration.' There should be no results.
 - Search the Koha codebase for references to
   'GoogleIndicTransliteration.' There should be no current references..
Comment 3 Amit Gupta 2020-07-28 16:22:10 UTC
Created attachment 107470 [details] [review]
Bug 26070: Remove GoogleIndicTransliteration system  preference

Work perfectly.

Thanks Owen Leonard for fixing the issue. 
Lot of customer complaint to me also "GoogleIndicTransliteration" is not working.

I have given the same reason transliterate API has been deprecated (since 2011!) by Google.

------------------------------------------------------------------------
To test, apply the patch and run the database update process.

 - Go to Administration -> System preferences and search for
   'GoogleIndicTransliteration.' There should be no results.
 - Search the Koha codebase for references to
   'GoogleIndicTransliteration.' There should be no current references.
Comment 4 Katrin Fischer 2020-07-29 22:41:54 UTC
Created attachment 107553 [details] [review]
Bug 26070: Remove GoogleIndicTransliteration system preference

The Google Transliterate API was deprecated on May 26, 2011. This patch
removes the feature and associated system preference.

To test, apply the patch and run the database update process.

 - Go to Administration -> System preferences and search for
   'GoogleIndicTransliteration.' There should be no results.
 - Search the Koha codebase for references to
   'GoogleIndicTransliteration.' There should be no current references..

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-07-30 15:47:40 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-08-06 20:48:32 UTC
backported to 20.05.x for 20.05.03
Comment 7 Aleisha Amohia 2020-08-07 02:23:50 UTC
backported to 19.11.x for 19.11.09
Comment 8 Victor Grousset/tuxayo 2020-09-20 10:49:47 UTC
Not backported to oldoldstable (19.05.x). Feel free to ask if it's needed.